﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using HeuristicLab.Common;
using HeuristicLab.Core;
using System.ComponentModel;

namespace HeuristicLab.Clients.OKB {
  [Item("Run", "An OKB run.")]
  public partial class Run {
    protected Run(Run original, Cloner cloner)
      : base(original, cloner) {
      ExperimentId = original.ExperimentId;
      RandomSeed = original.RandomSeed;
      CreatedDate = original.CreatedDate;
      UserId = original.UserId;
      ClientId = original.ClientId;
    }
    public Run() { }

    public override IDeepCloneable Clone(Cloner cloner) {
      return new Run(this, cloner);
    }

    public override string ToString() {
      return ItemName + " (" + CreatedDate.ToString() + ")";
    }

    protected override void OnPropertyChanged(PropertyChangedEventArgs e) {
      base.OnPropertyChanged(e);
      if (e.PropertyName == "CreatedDate")
        OnToStringChanged();
    }
  }
}
